package CRSDK;

@SuppressWarnings("unused")
public enum CrDispMode {
    CrDispMode_GraphicDisplay (0x01),
    CrDispMode_DisplayAllInfo (CrDispMode_GraphicDisplay.getValue()+1),
    CrDispMode_NoDispInfo (CrDispMode_GraphicDisplay.getValue()+2),
    CrDispMode_Histogram (CrDispMode_GraphicDisplay.getValue()+3),
    CrDispMode_Level (CrDispMode_GraphicDisplay.getValue()+4),
    CrDispMode_ForViewFinder (CrDispMode_GraphicDisplay.getValue()+5),
    CrDispMode_MonitorOff (CrDispMode_GraphicDisplay.getValue()+6);

    private final CrInt8u value;
    CrDispMode(int value) {
        this.value = new CrInt8u(value);
    }
    public int getValue() {
        return value.intValue();
    }
}
